Skip to content

Retrieve the transactions

Request

Retrieve the transactions across all accounts for the given cycle date.

Security
bearer-jwt
Path
datestring, (date)required

The cycle date for which the transactions are requested

Example:2026-07-31
Headers
API-Versionstring
Value:"1.0.0"
curl -i -X GET \
  https://api-docs.raipartners.com/_mock/apis/client-management-api-v1/transactions/2026-07-31 \
  -H 'API-Version: 1.0.0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful stream of transactions. IMPORTANT: The transactions are returned in NDJSON format (one transaction json object per line), not as an array.

Bodyapplication/x-ndjson
referenceNumberstringrequired

The transaction reference number.

Example:"7434495GE9WRQ9QVE"
typestringrequired

The transaction type.

Enum:"Authorization""AuthorizationAdjustment""Sale""CashAdvance""Return""MerchandiseSaleReversal""CashAdvanceReversal""ReturnReversal""MerchandiseSaleAmountAdjustment""CashAdvanceAmountAdjustment"
Example:"Sale"
sysstring\d{4}required

The 4 digit sys of the account.

Example:"6161"
prinstring\d{4}required

The 4 digit prin of the account.

Example:"0000"
agentstring\d{4}required

The 4 digit agent of the account.

Example:"1000"
accountobject(AccountIdentification)required

The parent account associated with this transaction.

cardAccountAccountIdentification (object) or null
One of:
amountnumberrequired

The transaction amount in US Dollars.

Example:28.35
datestring, (date)required

The transaction date.

Example:"2023-01-01"
postedDatestring, (date)required

The date the transaction was posted.

Example:"2023-01-02"
cycleDatestring, (date)required

The cycle date assoicated with the transaction.

Example:"2023-01-02"
merchantMerchant (object) or null
One of:
exchangeInfoExchangeInfo (object) or null
One of:
Response
{"referenceNumber":"7434495GE9WRQ9QVE","type":"Sale","sys":"6161","prin":"0000","agent":"1000","account":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"cardAccount":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"amount":28.35,"date":"2023-01-01","postedDate":"2023-01-02","cycleDate":"2023-01-02","merchant":{"name":"MUSEO OPERA SANTA CROCE","category":"7997","description":"MUSEO OPERA SANTA CROCE  FIRENZE      IT","location":{"city":"FIRENZE","state":"IT","country":"ITA"}},"exchangeInfo":{"currency":{"code":"EUR","name":"Euro"},"amount":24.2,"exchangeRate":1.171487603}}
{"referenceNumber":"7434495GE9WRQ9QVE","type":"Sale","sys":"6161","prin":"0000","agent":"1000","account":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"1234567890123456"},"cardAccount":{"id":"f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2","number":"12345678…